// This file contains all the dll startup code
#include "CPU_Ticks.h"

// Windows DLL Entry Point
BOOL APIENTRY DllMain(HINSTANCE hDLL, DWORD dwReason, LPVOID lpReserved)
{
	switch (dwReason)
	{

	// DLL is attaching to the address space of the current process.
	case DLL_PROCESS_ATTACH:
		
		// Calibrate the cpu clock
		CalibrateTimeStampCounter();

		// Load the Mathcad functions
		CreateUserFunction( hDLL, &ReadCpuTicks);
		CreateUserFunction( hDLL, &ResetCpuTicks);
		CreateUserFunction( hDLL, &ReadCpuSpeed);
		CreateUserFunction( hDLL, &ReadTime);
		CreateUserFunction( hDLL, &CpuTicksToSec);
		CreateUserFunction( hDLL, &SecToCpuTicks);
		
		break;

	// A new thread is being created in the current process.
	case DLL_THREAD_ATTACH:

	// A thread is exiting cleanly.
	case DLL_THREAD_DETACH:

	// The calling process is detaching the DLL from its address space.
	case DLL_PROCESS_DETACH:

		break;

	}
	return TRUE;
}

